## org.omg.CORBA
Class ValueBoxDefHelper

    java.lang.Object
      |
      +--org.omg.CORBA.ValueBoxDefHelper

public class ValueBoxDefHelper
extends java.lang.Object

Helper class for : ValueBoxDef

Author:
  OpenORB Compiler

Constructor Summary
`ValueBoxDefHelper()`

Method Summary
`static ValueBoxDef` `extract(Any a)` Extract ValueBoxDef from an any
`static java.lang.String` `id()` Return the ValueBoxDef IDL ID
`static void` `insert(Any a, ValueBoxDef t)` Insert ValueBoxDef into an any
`static ValueBoxDef` `narrow(Object obj)` Narrow CORBA::Object to ValueBoxDef
`static ValueBoxDef` `read(InputStream istream)` Read ValueBoxDef from a marshalled stream
`static TypeCode` `type()` Return the ValueBoxDef TypeCode
`static ValueBoxDef` `unchecked_narrow(Object obj)` Unchecked Narrow CORBA::Object to ValueBoxDef
`static void` `write(OutputStream ostream, ValueBoxDef value)` Write ValueBoxDef into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ValueBoxDefHelper

    public ValueBoxDefHelper()

Method Detail

### insert

    public static void insert(Any a,
                              ValueBoxDef t)

  Insert ValueBoxDef into an any
  Parameters:
    `a` - an any
    `t` - ValueBoxDef value

### extract

    public static ValueBoxDef extract(Any a)

  Extract ValueBoxDef from an any
  Parameters:
    `a` - an any
  Returns:
    the extracted ValueBoxDef value

### type

    public static TypeCode type()

  Return the ValueBoxDef TypeCode
  Returns:
    a TypeCode

### id

    public static java.lang.String id()

  Return the ValueBoxDef IDL ID
  Returns:
    an ID

### read

    public static ValueBoxDef read(InputStream istream)

  Read ValueBoxDef from a marshalled stream
  Parameters:
    `istream` - the input stream
  Returns:
    the readed ValueBoxDef value

### write

    public static void write(OutputStream ostream,
                             ValueBoxDef value)

  Write ValueBoxDef into a marshalled stream
  Parameters:
    `ostream` - the output stream
    `value` - ValueBoxDef value

### narrow

    public static ValueBoxDef narrow(Object obj)

  Narrow CORBA::Object to ValueBoxDef
  Parameters:
    `obj` - the CORBA Object
  Returns:
    ValueBoxDef Object

### unchecked_narrow

    public static ValueBoxDef unchecked_narrow(Object obj)

  Unchecked Narrow CORBA::Object to ValueBoxDef
  Parameters:
    `obj` - the CORBA Object
  Returns:
    ValueBoxDef Object